%  Author, inventor and programmer: Fatma A. Hashim(1), Kashif Hussain (2) 
%  (1) Faculty of Engineering, Helwan University, Egypt.
%  (2) Institute of Fundamental and Frontier Sciences, University of Electronic Science and Technology of China, Chengdu, Sichuan, China.

%  Other Co-Authors: Essam H. Houssein(3), Mai S. Mabrouk (4), Walid Al-Atabany (5) 
%  (3) Faculty of Computers and Information, Minia University, Egypt.
%  (4) Faculty of Engineering, Misr University for Science and Technology, Egypt.
%  (5) Faculty of Engineering, Helwan University, Egypt. 


% Researchgate: 
% (1) https://www.researchgate.net/profile/Fatma_Ahashim
% (2) https://www.researchgate.net/profile/Kashif_Hussain5
% (3) https://www.researchgate.net/profile/Essam_Houssein

% Emails:
% Fatma A. Hashim: fatma_hashim@h-eng.helwan.edu.eg
% Kashif Hussain: usitsoft@hotmail.com 
% Essam H. Houssein: essam.halim@mu.edu.eg

%  Please cite the main paper:
% Fatma A. Hashim, Kashif Hussain, Essam H. Houssein, Mai S. Mabrouk, and Walid Al-Atabany, Archimedes optimization algorithm: A new metaheuristic algorithm for solving optimization problems, Applied Intelligence, Springer
% _____________________________________________________

clc;clear all;
close all
fobj = @sumsqu;nvar=30;
lb=-10;
ub=10;
Materials_no=30;
Max_iter=1000;
dim=10;
% C3=2;C4=.5;  %cec and engineering problems
C3=1;C4=2;  %standard Optimization functions
[Xbest, Scorebest,Convergence_curve]=AOA(Materials_no,Max_iter,fobj, dim,lb,ub,C3,C4);
figure,semilogy(Convergence_curve,'r')
xlim([0 1000]);