function informers=inform(N,K)
option=1; % 1 => each particle informs itself, 0 => no
thresh=K/N;
informers=zeros(N,N);
for i=1:N
    for j=1:N
        if rand<thresh
            informers(i,j)=1;
        end
    end
    
    if option==1
        informers(i,i)=1;
    else
        informers(i,i)=0;
        % Be sure there is at least one neighbour
        s=sum(informers(i,:));
        if s==0
            j=randi(N);
            informers(i,j)=1;
        end
    end
end
end