%===================================================== Stagnation detection
function stagn=stagnation(fPrev,f, FEprev, FEs,expBeta) 
  %fprintf('\n stagnation check')
% 	Normalised pseudo-gradient of the fitness evolution
  N=length(f);
  stagna= true*ones(1,N); % Just to speed up a bit

for n=1:N
  u=abs(fPrev(n)+f(n));
  if u>0
    delta=2*(fPrev(n)-f(n))/u;
    delta=delta/(FEs-FEprev);
    stagProba=expBeta*exp(-delta);

    % Probabilistic decision
    stagna(n)= rand<stagProba; 
  end

  s=sum(stagna)/N; % We assume true=1, false=0
  stagn=rand<s;

end